﻿$ErrorActionPreference = 'Stop';

$toolsPath = Split-Path $MyInvocation.MyCommand.Definition
. "$toolsPath\helpers.ps1"

$ID = '1159'
$InitialURL = "http://www.displaylink.com/downloads/file?id=$ID"
$Formdata = "fileId=$ID&accept_submit=Accept"

$url = Get-WebLocation -URL $InitialURL -FormData $Formdata
$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  softwareName  = 'DisplayLink*'
  url           = $url
  checksum      = 'A66D908DCAFF7BE02CB88DADCCF7778CE3EA4580C83A41DBEBDB7A2229CEFD82'
  checksumType  = 'sha256'
  checksum64    = 'A66D908DCAFF7BE02CB88DADCCF7778CE3EA4580C83A41DBEBDB7A2229CEFD82'
  checksumType64= 'sha256'
  silentArgs   = '-silent -noreboot -suppressUpToDateInfo'
  validExitCodes= @(0)
}

Install-ChocolateyZIPPackage @packageArgs










    








